Bug Hunting Session
Bug 42978 - Basic IDE UI: Changed language of strings not immediately displayed in dialog form
Summary: Basic IDE UI: Changed language of strings not immediately displayed in dialog...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: bibisected35older target:4.1.0 target...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-11-16 02:36 UTC by Gisbert
Modified: 2013-01-22 16:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
still german strings after switching to french (48.96 KB, image/png)
2012-10-24 10:22 UTC, Gisbert
Details
french dialogue should be shown! (43.96 KB, image/png)
2012-10-24 10:23 UTC, Gisbert
Details
tiny testcase with one dialogue de/en (14.81 KB, application/vnd.oasis.opendocument.text)
2012-10-25 12:40 UTC, Gisbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gisbert 2011-11-16 02:36:28 UTC
While editing / translating a dialog inside the Basic IDE,

the change of a string (e.g. title of a label) via the properties dialog

or the selection of another language 

does not change the string in the dialogue form, which is currently displayed.

Only after closing and re-opening the Basic IDE, the changes are displayed in the dialog form.

However, changes of language are displayed in "Properties"-dialog and in "Testmode"-view,

and when calling the dialog (while the Basic IDE is still open), any changed strings are displayed too.
Comment 1 sasha.libreoffice 2012-04-20 09:11:55 UTC
Thanks for bugreport
Changes in "Properties" dialog becomes visible after placing cursor in another field of this dialog.

If I misunderstand problem, please, attach screenshot that demonstrates problem
Comment 2 Gisbert 2012-10-24 10:22:25 UTC
Created attachment 68988 [details]
still german strings after switching to french
Comment 3 Gisbert 2012-10-24 10:23:29 UTC
Created attachment 68989 [details]
french dialogue should be shown!
Comment 4 Gisbert 2012-10-24 10:25:57 UTC
Maybe I was not clear enough?

Given: an extension (like DmathsAddon) 
with different localizations (e.g. DialogStrings_de_DE.properties and DialogStrings_fr_FR.properties).

Goto the BASIC IDE, select one dialogue.
It shows the strings in the language of the application (here: de).

Change the language (here: to fr).
The dialogue does NOT show the french strings, but still the german strings.

I attach two screenshots not_french.png and shouldshow.png.

BTW:
This bug was not there in OOo 3. This is a regression of LO behind OOo.

Gisbert
Comment 5 sasha.libreoffice 2012-10-24 14:13:33 UTC
Thanks for additional information
[Reproduced] in 3.5.7 on RFR 17 64 bit (installed from Fedora repo)
I have downloaded extension from this place:
http://www.dmaths.org/addons/DmathsAddon.oxt
installed and reproduced as described initially

> This bug was not there in OOo 3. This is a regression of LO behind OOo.
According to this information I am placing keyword "regression"
Comment 6 Gisbert 2012-10-25 12:40:05 UTC
Created attachment 69066 [details]
tiny testcase with one dialogue de/en
Comment 7 Noel Power 2012-12-19 12:50:24 UTC
(In reply to comment #6)
> Created attachment 69066 [details]
> tiny testcase with one dialogue de/en

ok, this is quite annoying for sure, it's also something I guess we inherited from AOO ( at least I reproduce this problem with OOO3.5 dev )

not familiar at all with this area but I will take this bug
Comment 8 Not Assigned 2012-12-20 17:42:10 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bf0f44d5aed9b8a11d0762571dd1e4e0a52390b

fix dialog language support mess fdo#42978



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2012-12-20 19:32:18 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67b3af79bb17d8d8c8b9d2328051a340c107f956&g=libreoffice-4-0

fix dialog language support mess fdo#42978


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 sasha.libreoffice 2012-12-21 06:00:20 UTC
Thanks for fixing this bug
Comment 11 Gisbert 2012-12-22 10:19:06 UTC
Merci, Noel, pour ce magnifique cadeau de Noël pour tous les traducteurs des dialogues Dmaths (et...)!

Thanks, Noel, for that great Christmas present for all translators of dialogues in Dmaths and other addons!

I wish you all a merry christmas et joyeux noël und frohe Weihnachten
Gisbert
Comment 12 Not Assigned 2013-01-04 09:36:20 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1cb77e94960d77b1d9cc9f06afa77cbe5920f282&h=libreoffice-3-6

fix dialog language support mess fdo#42978


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Noel Power 2013-01-22 16:13:41 UTC
marking this as fixed